# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2010 moylop260 - http://moylop.blogspot.com/
#    All Rights Reserved.
#    info moylop260 (moylop260@hotmail.com)
############################################################################
#    Coded by: moylop260 (moylop260@hotmail.com)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from report import report_sxw
import pooler
import tools

#DELETE FROM ir_act_report_xml WHERE report_name = 'mrp.lot.barcode';

class mrp_lot_barcode(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(mrp_lot_barcode, self).__init__(cr, uid, name, context=context)
        self.localcontext.update({
            'get_count': self._get_count,
        })
    
    def _get_count(self, count=1):
        try:
            self.count += count
        except:
            self.count = count
        return self.count
        
report_sxw.report_sxw(
    'report.mrp.lot.barcode',
    'mrp.production',
    'addons/sale_mrp_autosplit/report/mrp_lot_barcode.rml',
    header=False,
    parser=mrp_lot_barcode,
)
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
